<?php

namespace App\Models;

use App\Models\Scopes\CompanyScope;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Library extends Model
{
    use HasFactory;

    protected $guarded = [
        'id'
    ];

    protected static function booted(): void
    {
        static::addGlobalScope(new CompanyScope);
    }
}
